Subject: Re: [PATCH] Builtin-commit: show on which branch a commit was added

From: Junio C Hamano <[email-masked]>
Date: Sat, 06 Sep 2008 22:59:29 -0700

Junio C Hamano <[email-masked]> writes:

> I somehow suspect it might be much simpler, more contained and robust if you:

Ah, that would not work, sorry, because this if() statement is only about
an uninteresting case of --allow-empty.  You need to do this the hard way
and teach get_commit_format_string() quote % characters in branch names.